Download it now!
Bug 40329 - [UI] Add access Small caps to context menu
Summary: [UI] Add access Small caps to context menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 87914
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2011-08-23 18:41 UTC by Jiehong
Modified: 2017-01-19 13:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiehong 2011-08-23 18:41:56 UTC
As for now on, the only way to get small caps in writer is to highlight the area of text we want and then going in the menu of character->characters effects->effects->small caps.

However, when we right-click we have access to a sub-menu called characters/case which let us select among uppercase, lowercase etc., but nothing about small caps!!!

Would it be possible to add an entry to that right-click menu to let us access to small caps in a more straight forward way?
Comment 1 Cor Nouws 2011-08-24 02:03:44 UTC
thanks for your enhancement request.
Comment 2 Björn Michaelsen 2011-12-23 12:32:34 UTC Comment hidden (obsolete)
Comment 3 Jiehong 2011-12-25 11:51:43 UTC
This feature request haven't been added yet (3.4.4). I'll check again in 3.5.0 when it will be released but the log doesn't say anything about that…
Comment 4 manj_k 2011-12-26 07:53:52 UTC
Still not available in LibO 3.5.0 Beta2
[LOdev 3.5.0beta2 · Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978].

Moving back to NEW from NEEDINFO again.
Comment 5 A (Andy) 2013-05-08 20:56:40 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit), not yet amended
Comment 6 V Stuart Foote 2017-01-13 19:46:47 UTC
Introduction of an .uno:SmallCaps command at 5.3.0 [1] provides a Small Caps button widget that can be made visible on the Formatting toolbar. 

While the new capability for customization of the Context menus now allows the widget to be added to the "Text" context menu (the "Small caps" widget is listed in the "Format" category). Enabling the feature requested here.

Reach it via a Tools -> Customize action.

=-ref-=
[1] http://cgit.freedesktop.org/libreoffice/core/commit/?id=d378cd2f766eeb1fd1c98f62c9ae6b5b59fd00f1